---
description: Живой поиск всех Объектов, которые имеют общий Тип или Связь
---

# Наборы

{% content-ref url="../../use-cases/deep-dive-sets.md" %}
[deep-dive-sets.md](../../use-cases/deep-dive-sets.md)
{% endcontent-ref %}

### Понимание Наборов

Многие сравнивают Наборы с базами данных, но есть ключевое отличие: Наборы не _хранят_ Объекты, как обычные базы данных.

Наборы — это способ увидеть часть вашего Графа и созданные вами Объекты на основе ваших отфильтрованных критериев и нескольких дополнительных фильтров, которые вы можете настроить. Вы можете рассматривать их как живой фильтр или запрос для Объектов, которые соответствуют определенным критериям — конкретно, Типу или Связи.

#### Наборы выполняют две основные функции:

1. **Организация и Доступ к Объектам**\
   \
   Мы часто получаем запросы, такие как: _Как найти все созданные мной заметки?_\
   \
   Один из простых способов — создать Набор на основе Типа.\
   Например; Заметка, которая покажет все заметки, созданные вами в Anytype.\
   \
   Если у вас есть определенные заметки, к которым вы хотите часто обращаться, вы можете отфильтровать их на основе Связей, которые вы добавили к этим заметкам.\
   \
   Например: Дата создания, Теги или Приоритет. (В этом смысле Связи работают как атрибуты).\
   \
   Затем вы можете закрепить ваш Набор в меню Избранное, где он будет находиться на вашей боковой панели, действуя как папка для всех Объектов, которые соответствуют определенным критериям.
2.  **Редактирование Объектов**

    <figure><img src="../../../.gitbook/assets/image (68).png" alt=""><figcaption></figcaption></figure>

    Наборы также предоставляют возможность быстро редактировать Объекты в виде списка.\
    \
    Вы можете использовать мультивыбор в Наборах для одновременного удаления нескольких Объектов или для пакетного обновления Связей/Типа Объектов. Любые Связи, добавленные в Набор в меню Связей (в правом верхнем углу), будут применяться ко всем новым Объектам, созданным с помощью кнопки "+ Новый Объект".

{% embed url="https://drive.google.com/file/d/1emIekdXcrI0DTve9BQfweqTnPxa_BfGt/view?usp=drive_link" %}

### Создание Наборов

#### Вы можете создать Набор с помощью `+` в нижнем левом углу или с использованием меню быстрого доступа `/` в редакторе.

Затем вам нужно будет выбрать, хотите ли вы создать Набор по Типу, который позволит вам перечислить все ваши Объекты определенного Типа, или Набор по Связи, который перечислит все Объекты, содержащие выбранную вами Связь.&#x20;

Вы также можете создать Набор по Типу с помощью переключателя типа Объекта в новом документе.

<figure><img src="../../../.gitbook/assets/image (18).png" alt=""><figcaption></figcaption></figure>

#### Далее вам нужно будет определить цель вашего Набора.&#x20;

Например, для управления проектами может понадобиться Тип: Проект, для списка чтения — Книга. В Библиотеке выберите Тип Объекта, нажмите "Создать" и выберите "Создать набор".

Это создаст набор всех Объектов с Типом: Книги.&#x20;

Теперь у вас есть организованная подборка всех ваших объектов книг, введенных в Anytype.

<figure><img src="../../../.gitbook/assets/image (26).png" alt=""><figcaption></figcaption></figure>

### Настройка вашего Набора

#### Переключение и добавление Связей к Объектам через Наборы

Вместо того чтобы добавлять Связи по одной к Объектам, вы можете пакетно добавить их в свой Набор, нажав на фильтры справа.

Здесь вы можете включать/выключать любые Связи, которые вы хотите видеть, добавлять новую Связь и редактировать Вид Набора здесь.

![](<../../../.gitbook/assets/image (16).png>)

Вы можете добавить любые Связи, которые будут автоматически добавлены к вашим **Объектам**, добавив их в процессе создания вашего **Типа**.

Подробнее о том, как [создать новый тип](../types/create-a-new-type.md "mention") здесь. В разделе "Заголовок и Шаблон" процесса создания нового Типа у вас будут варианты Связей.

![](<../../../.gitbook/assets/image (1) (1) (1) (1) (1) (1).png>)

#### Сортировка и фильтрация

Вы также можете сортировать или фильтровать ваш набор по любой связи, которую вы ранее добавили в Набор.
