---
description: Создание и использование шаблонов через типы.
---

# Шаблоны

{% content-ref url="../../use-cases/deep-dive-templates.md" %}
[deep-dive-templates.md](../../use-cases/deep-dive-templates.md)
{% endcontent-ref %}

### Понимание Шаблонов

Шаблоны — это один из самых любимых способов работы в Anytype, разработанный для того, чтобы помочь вам масштабировать и персонализировать процессы создания Объектов. С помощью Шаблонов вы можете:

* Настраивать макеты и Связи, которые вы хотите использовать для определенных типов объектов
* Автоматически повторно использовать ту же структуру каждый раз, когда вы добавляете новый Объект

Шаблоны сохраняются на уровне Типа, и каждый Тип может поддерживать несколько Шаблонов. Например, вы можете иметь разные Шаблоны для различных типов Книг, таких как академические, художественные или документальные.

### Как создать Шаблон

Существует три способа добавить Шаблон:

1) Перейдите в Библиотеку Типов → Нажмите на Тип, для которого вы хотите создать Шаблон → Нажмите +, чтобы начать создание нового шаблона → Дайте вашему Шаблону имя и начните добавлять Связи и форматирование → Ваш Шаблон будет автоматически сохранен.

2) Если вы работаете внутри Объекта и хотите сохранить свою работу как Шаблон, вы можете: Перейдите в `···` в правом верхнем углу → Нажмите + Использовать как Шаблон, и ваше содержимое автоматически сохранится как новый Шаблон для этого Типа Объекта.

3) Если вы работаете в Наборе/Коллекции и хотите создать/редактировать свои шаблоны, вы можете:\
Перейдите в `Новый|▾` в правом верхнем углу представления Набора/Коллекции -> Нажмите кнопку `▾`, чтобы открыть модальное окно шаблона. Затем создайте новый шаблон, используя кнопку `+`, или измените существующий, нажав на `···` в правом верхнем углу кнопки шаблона и выбрав `Редактировать шаблон`, `Дублировать` или `Удалить`.

### Использование и управление Шаблонами

В зависимости от того, как вы создали новый объект, либо будет автоматически применен шаблон по умолчанию, либо вас попросят выбрать шаблон самостоятельно.

<figure><img src="../../../.gitbook/assets/5_Template Picker Screenshot.png" alt=""><figcaption><p>Выберите шаблон</p></figcaption></figure>

Вы также можете выбрать шаблон по умолчанию для каждого типа через Библиотеку Типов, или вы можете выбрать шаблон по умолчанию для каждого представления Набора и Коллекции.

<figure><img src="../../../.gitbook/assets/6_Default Template Selector Screenshot at 18.15.24.png" alt=""><figcaption><p>Выберите шаблон по умолчанию для этого набора</p></figcaption></figure>

Вы можете просматривать, редактировать, дублировать или удалять Шаблоны, которые вы добавили для каждого Типа Объекта, в Библиотеке Типов.
